> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Model

> Get detailed information about a specific model (Ollama-compatible)

## Overview

Returns detailed information about a specific model, including its parameters, template, and system prompt. Compatible with Ollama's `POST /api/show` format.

## Request

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_API_KEY`
</ParamField>

### Body

<ParamField body="model" type="string" required>
  The model name to get information about. See [available models](/models).
</ParamField>

<ParamField body="verbose" type="boolean" default="false">
  If `true`, returns full verbose data including layer information.
</ParamField>

***

## Response

<ResponseField name="modelinfo" type="object">
  Detailed model information including architecture and capabilities.
</ResponseField>

<ResponseField name="template" type="string">
  The prompt template used by the model.
</ResponseField>

<ResponseField name="system" type="string">
  Default system prompt for the model (if any).
</ResponseField>

<ResponseField name="details" type="object">
  Model details:

  * `parent_model`
  * `format`
  * `family`
  * `families`
  * `parameter_size`
  * `quantization_level`
</ResponseField>

<ResponseField name="modified_at" type="string">
  ISO 8601 timestamp of when the model was last modified.
</ResponseField>

***

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.ajstudioz.co.in/api/show \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"model": "gemma3:27b"}'
  ```

  ```python Python theme={null}
  from ollama import Client

  client = Client(
      host="https://api.ajstudioz.co.in",
      headers={"Authorization": "Bearer YOUR_API_KEY"}
  )

  info = client.show("deepseek-v3.2")
  print(f"Template: {info.template}")
  print(f"Details: {info.details}")
  ```
</CodeGroup>

<ResponseExample>
  ```json Response theme={null}
  {
    "model": "gemma3:27b",
    "modified_at": "2025-03-12T00:00:00Z",
    "template": "{{ if .System }}<start_of_turn>user\n{{ .System }}<end_of_turn>\n{{ end }}{{ range .Messages }}{{ if eq .Role \"user\" }}<start_of_turn>user\n{{ .Content }}<end_of_turn>\n<start_of_turn>model\n{{ else if eq .Role \"assistant\" }}{{ .Content }}<end_of_turn>\n{{ end }}{{ end }}",
    "system": "",
    "details": {
      "parent_model": "",
      "format": "gguf",
      "family": "gemma3",
      "families": ["gemma3"],
      "parameter_size": "27.2B",
      "quantization_level": "Q4_K_M"
    },
    "modelinfo": {
      "general.architecture": "gemma3",
      "general.name": "Gemma 3 27B Instruct",
      "gemma3.attention.head_count": 32,
      "gemma3.context_length": 131072
    }
  }
  ```
</ResponseExample>
